Optec Home > Astronomy > Downloads > Older Pyxis Software

Pyxis Rotator - Older Software

NOTE: Older Pyxis Drivers are no longer supported.

The current Unified Pyxis Driver can be downloaded here.

Archived Software and Drivers for Pyxis 2" and Pyxis 3"

Pyxis Rotator Software Archives:

Pyxis 2" and 3" Version 2.xx Drivers:
Pyxis LE Camera Field RotatorOptecPyxisSetup_x86(2.1.9).zip
Windows 32-bit  (release date:  08/03/2012)

ASCOM Standards32-bit Installer program for the Pyxis Control Program and ASCOM Driver version 2.1.9.  Driver with advanced setup options for the Pyxis 2" and 3" Camera Field Rotators.  Includes standalone program, ASCOM driver, and expanded help file. 
NOTE:
  You will need to unzip this file into a temporary folder to run the setup.exe executable program.
ASCOM driver requires Platform 5.5, optimized for Platform 6
Microsoft .NET Framework 3.5.
Pyxis 2" Firmware v2.03 or  above recommended.
Pyxis 3" firmware v.3.41 or above recommended.

Software copyright 2012 - Optec, Inc. (Free to distribute.)

Download Pyxis LE Control Program and ASCOM driver
Pyxis LE Camera Field RotatorOptecPyxisSetup_x64(2.1.9).zip
Windows 64-bit  (release date: 08/03/2012)

ASCOM Standards64-bit Installer program for the Pyxis Control Program and ASCOM Driver version 2.1.9.  Driver with advanced setup options for the Pyxis 2" and 3" Camera Field Rotators.  Includes standalone program, ASCOM driver, and expanded help file. 
NOTE:
  You will need to unzip this file into a temporary folder to run the setup.exe executable program.
ASCOM driver requires Platform 5.5, optimized for Platform 6
Microsoft .NET Framework 3.5.
Pyxis 2" Firmware v2.03 or  above recommended.
Pyxis 3" firmware v.3.41 or above recommended.
Software copyright 2012 - Optec, Inc. (Free to distribute.)

Download Pyxis LE Control Program and ASCOM driver
Selecting the Driver in ASCOM Chooser:

ASCOM Rotator ChooserOnce installed, the ASCOM Rotator Chooser will display a new rotator choice called "Optec Pyxis Rotator".  The original "Optec Pyxis" driver will remain and can be used unless you manually remove the driver from the Add and Remove Programs applet in Windows.

To use the new driver, be certain to choose "Optec Pyxis Rotator" from the dropdown menu.

The Instance Control allows multiple Pyxis rotators to be controlled from the same ASCOM Driver.  Name your Pyxis rotators appropriately to differentiate as shown in the screenshot above (click screenshot above for full view). 

 

Older Pyxis Downloads:

The original Pyxis control software and ASCOM drivers are now obsolete and will no longer be supported.  However, for backward compatibility and for installations using older ASCOM platforms, these programs can still be downloaded here.

In most cases, the most recent OptecPyxis_Setup installer is the only driver required for new installations. Click here to download the current and most recent drivers for the Pyxis 2" and Pyxis 3" camera field rotators.

This page provides our older program installers for archival purposes only.  Some older ASCOM platforms may require the original Pyxis drivers.   These drivers are no longer supported by Optec.  Use at your own risk. 

Here is a link to the entire download directory with older versions and ASCOM drivers: http://www.optecinc.com/astronomy/software/download/

IMPORTANT:  See the note at the bottom of the page for Windows Vista and Windows 7 if you have problems running any program or with the HELP files.

Older Pyxis Software and Drivers:
Setup_PYXIS_V1,33.exe (release date: 02/04/09)
Pyxis ControlInstaller program for Pyxis Control program Version 1.33
compatible with Pyxis firmware versions V1.41 and V3.20

Will also work with earlier versions with some loss of function.
Download Pyxis Control program
OptecPyxis(1.0.4)Setup.exe
ASCOM StandardsInstaller program for the Pyxis ASCOM Driver version 1.0.4.  Works with original Pyxis and Pyxis 3-inch rotators.

Requires ASCOM Platform 5.0 or later.
Driver courtesy Dr. Eric Benson.
Download Pyxis ASCOM driver
Known Technical Issues:
Language Issues with Liberty Basic complier.
NOTE: There is a problem with running any of the Optec control programs on computers set for Chinese, Korean and Japanese localization. Until the makers of Liberty Basic fix their compiler, your PC will have to be set for ENGLISH.
USB-to-Serial Converter Issues.
NOTE: If a USB-to-serial converter is needed to interface to an Optec instrument, it is necessary to confirm that the converter is compatible with the Optec control software. Many low cost converters using the Prolific chip set will not work with the Optec control software. We suggest that the converter use the FTDI chip set for best compatibility. The #17690 single port and the #17691 4-port USB-to-serial converter sold by Optec uses the FTDI chip set.
Known Issues with Vista and Windows 7
NOTE: Unfortunately, with Microsoft VISTA there is a problem with running the Optec control programs. It is necessary that the program be given administrator rights otherwise the program will crash with a message indicating that a file cannot be opened. The next release of Liberty Basic is suppose to fix this incompatibility. To make it work now for VISTA, find the program executable in Program Files. An easy way would be to look at the target for the shortcut in your start menu. For example, the TCF-S control program is named TCF-S.EXE and has the bow tie icon associated with it. Right click on the program and select properties and then the compatibility tab. Under the privilege level make sure there is a check mark for "Run this program as an administrator". If you want to be walked through, give us a call at Optec.
 
NOTE:  Windows discontinued providing WinHlp32.exe with Vista.  Some of the Optec programs still use this older version of help and may require this file be added back into the operating system.
For Vista users, click here to download the WinHlp32.exe installer from Microsoft.
For Windows 7 users, click here to download the WinHlp32.exe installer from Microsoft.